<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstFavoriteResult Method (IEdmSearch10)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch10 Interface : GetFirstFavoriteResult Method (IEdmSearch10)

Visual Basic
C#
C++/CLI

bsFavName
  Name of a favorite search

bGetCustomColumns
  True to retrieve custom column information, false to not

Gets the first file or folder that matches the favorite search criteria.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstFavoriteResult( _
       ByVal bsFavName As System.String, _
       Optional ByVal bGetCustomColumns As System.Boolean _
    ) As IEdmSearchResult5

C# |
--- | ---

    IEdmSearchResult5 GetFirstFavoriteResult(
       System.string bsFavName,
       System.bool bGetCustomColumns
    )

C++/CLI |
--- | ---

    IEdmSearchResult5^ GetFirstFavoriteResult(
    &   System.String^ bsFavName,
    &   System.bool bGetCustomColumns
    )

#### Parameters

bsFavName
  Name of a favorite search
bGetCustomColumns
  True to retrieve custom column information, false to not

#### Return Value

IEdmSearchResult5

# Example

See the IEdmSearch10 examples.

# Remarks

If bGetCustomColumns is set to true and custom columns exist in the search results of bsFavName, then use IEdmSearchResult6::GetCustomColumnsInfo and IEdmSearchResult6::GetCustomColumnValues to see the custom column information.

After calling this method, call IEdmSearch5::GetNextResult repeatedly to retrieve the rest of the search results.

# See Also

####

IEdmSearch10 Interface
IEdmSearch10 Members

# Availability

SOLIDWORKS PDM Professional 2021